libstoff::Debug Namespace Reference

## Functions

bool | dumpFile (librevenge::RVNGBinaryData &, char const *)
std::string | flattenFileName (std::string const &name)
| returns a file name from an ole/... name

## Function Documentation

## dumpFile()

bool libstoff::Debug::dumpFile | ( | librevenge::RVNGBinaryData & | ,
|  | char const * | )

inline

Referenced by StarBitmap::readBitmap(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readContents(), StarFileManager::readEmbeddedPicture(), StarFileManager::readImageDocument(), STOFFOLEParser::readOle10Native(), StarFileManager::readOleObject(), and STOFFOLEParser::readOlePres().

## flattenFileName()

std::string libstoff::Debug::flattenFileName | ( | std::string const & | name | ) |

inline

returns a file name from an ole/... name